#ifdef GL_ES
precision highp float;
#endif

varying vec2 v_texCoord;

uniform sampler2D u_texture;
uniform sampler2D maskMap;

uniform float opacity;
uniform float maskWidth;
uniform float maskHeight;
uniform vec2 center;
uniform vec3 color;

void main()
{
    vec4 snow = texture2D(u_texture, v_texCoord);
    if (v_texCoord.x > center.x - maskWidth/2.0 && v_texCoord.x < center.x + maskWidth/2.0 &&
    v_texCoord.y > center.y - maskHeight/2.0 && v_texCoord.y < center.y + maskHeight/2.0) {
        
        vec2 mask_Coord = vec2((v_texCoord.x - center.x + maskWidth/2.0)/maskWidth, (v_texCoord.y - center.y + maskHeight/2.0)/maskHeight);
        vec4 mask = texture2D(maskMap, mask_Coord);
        gl_FragColor = vec4(0.0, 0.0, 0.0, mask.a * opacity);
    } else {
        gl_FragColor = vec4(0.0, 0.0, 0.0, opacity);
    }
}