precision highp float;

varying vec2 v_texCoord;
varying vec2 v_noiseUV;

uniform sampler2D u_texture;
uniform sampler2D noiseMap;

#define displacementScale  0.1

void main() {
    vec2 displacement = texture2D(noiseMap, v_noiseUV).rg;
    vec2 texUV = v_texCoord + (displacement * 2.0 - 1.0) * displacementScale;
    
    gl_FragColor = texture2D(u_texture, texUV);
}
